//DB2PRINT PROC DB2='PCP1',                                             00010000
//             LIB='CPCS00.DB2TOSAS.CNTL',                              00011000
//             SQL='SQL00002',                                          00011100
//             TITLE='HOW MANY COLS HAVE STATS'                         00011200
//* ================================================================ */ 00011300
//* DB2    IDENTIFIES THE DB2 SUBSYSTEM WHERE YOU WANT TO RUN SQL    */ 00011400
//* LIB    IS A LIBRARY CONTAINING THE SQL CODE                      */ 00011500
//* SQL    IS A MEMBER IN THE ABOVE LIBRARY TO SELECT THE TABLE      */ 00011600
//* NOTE   THAT ANY SELECT IS O.K. BUT IF YOU CREATE NEW COLUMNS,    */ 00011700
//* ====   MUST GIVE THEM NAMES (E.G. "SELECT XX/YY AS RATIO")       */ 00011800
//* ================================================================ */ 00011900
//STEPZERO EXEC PGM=IEFBR14                                             00012000
//* ================================================================ */ 00013000
//* DELETE ANY LEFTOVERS FROM PREVIOUS RUNS                          */ 00014000
//* ================================================================ */ 00015000
//INSTREAM  DD  DSN=&SYSUID..DB2TOSAS,DISP=(MOD,DELETE),SPACE=(TRK,1)   00016000
//SYSPUNCH  DD  DSN=&SYSUID..DB2PUNCH,DISP=(MOD,DELETE),SPACE=(TRK,1)   00017000
//SYSREC00  DD  DSN=&SYSUID..DB2REC00,DISP=(MOD,DELETE),SPACE=(TRK,1)   00018000
//*                                                                     00019000
//DSNPARM1 EXEC PGM=PUNCHPRM,                                           00020000
//             PARM=' DSN SYSTEM(&DB2)/'                                00030000
//* ================================================================ */ 00040000
//* GET THE SYMBOLIC PARAMETER ONTO A CARD IMAGE                     */ 00050000
//* ================================================================ */ 00060000
//STEPLIB   DD  DISP=SHR,DSN=CPFE00.UTILITY.LOAD                        00070000
//SYSPUNCH  DD  DISP=(NEW,PASS),DSN=&&DSNPARM1,SPACE=(TRK,1),RECFM=FB   00080000
//*                                                                     00090000
//DSNTIAUL EXEC PGM=IKJEFT01                                            00100000
//* ================================================================ */ 00101000
//* UNLOAD THE DB2 TABLE BY EXECUTING SAMPLE PROGRAM DSNTIAUL        */ 00102000
//* ================================================================ */ 00103000
//SYSIN     DD  DISP=SHR,DSN=&LIB(&SQL)                                 00104000
//SYSPRINT  DD  SYSOUT=*                                                00105000
//SYSPUNCH  DD  DSN=&SYSUID..DB2PUNCH,DISP=(,CATLG),SPACE=(TRK,(1,1))   00106000
//SYSREC00  DD  DSN=&SYSUID..DB2REC00,DISP=(,CATLG),SPACE=(TRK,(1,1))   00107000
//SYSTSIN   DD  DISP=(OLD,DELETE),DSN=&&DSNPARM1                        00108000
//          DD  DISP=SHR,DSN=CPCS00.DB2TOSAS.CNTL(DSNTIAUL)             00109000
//SYSTSPRT  DD  SYSOUT=*                                                00110000
//*                                                                     00120000
//SASPARM1 EXEC PGM=PUNCHPRM,                                           00130000
//* ================================================================ */ 00140000
//* GET THE SYMBOLIC PARAMETER ONTO A CARD IMAGE                     */ 00150000
//* ================================================================ */ 00160000
//             PARM=' %DB2PRINT(TITLE=&DB2 - &TITLE);/'                 00170000
//STEPLIB   DD  DISP=SHR,DSN=CPFE00.UTILITY.LOAD                        00180000
//SYSPUNCH  DD  DISP=(NEW,PASS),DSN=&&SASPARM1,SPACE=(TRK,1)            00190000
//*                                                                     00200000
//EXECSAS1 EXEC MXG,L1='CPCS00.DB2TOSAS.CNTL',      MY LIBRARY          00210001
//             L2='CPFE00.EMERGENC.SAS',            PERF-CAP EMERGENCY  00211000
//             L3='TADS.PERF.SAS',                  PERF-CAP QC TEST    00212001
//* ================================================================ */ 00220000
//* RUN THE REQUIRED PROGRAM (WHICH SHOULD EXECUTE %DB2TOSAS)        */ 00230000
//* ================================================================ */ 00240000
//             COND=(4,LT)                                              00250000
//MXG.SYSIN DD  DISP=(OLD,DELETE),DSN=&&SASPARM1                        00260000
//INSTREAM  DD  DSN=&SYSUID..DB2TOSAS,DISP=(,CATLG),SPACE=(TRK,(1,1))   00270000
//SYSPUNCH  DD  DISP=SHR,DSN=&SYSUID..DB2PUNCH                          00280000
//SYSREC00  DD  DISP=SHR,DSN=&SYSUID..DB2REC00                          00290000
//*                                                                     00300000
//STEPLAST EXEC PGM=IEFBR14,COND=(4,LT)                                 00310002
//* ================================================================ */ 00320000
//* ONLY DELETE THE TEMPORARY FILES IF EVERYTHING WORKED O.K.        */ 00330000
//* ================================================================ */ 00340000
//INSTREAM  DD  DSN=&SYSUID..DB2TOSAS,DISP=(OLD,DELETE)                 00350000
//SYSPUNCH  DD  DSN=&SYSUID..DB2PUNCH,DISP=(OLD,DELETE)                 00360000
//SYSREC00  DD  DSN=&SYSUID..DB2REC00,DISP=(OLD,DELETE)                 00370000
//         PEND                                                         00380000
